 /*
 * U-boot - cmd_leds
 *
 * Copyright (c) 2009 INAT
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * Licensed under the GPL-2 or later.
 */

#include <config.h>
#include <common.h>
#include <command.h>

int do_leds(cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
	update_fail_led();
	return 0;
}

int do_next_led(cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
	boot_next_led();
	return 0;
}

U_BOOT_CMD(ledfail, 1, 0, do_leds,
	"ledfail - play the update led sequence\n",
	"none\n");


U_BOOT_CMD(nextled, 1, 0, do_next_led,
	"nextled - step one further in boot led sequence\n",
	"none\n");